#!/bin/sh
# @(#)Wingz.sh	@(#)Wingz.sh	2.1.2.2 95/06/20
# Wingz 1.4 (linux)
# Informix Software
# Copyright 1988, 1989, 1990
#

INSTDIR=@WINGZ_DIR@

if [ ! -n "$WINGZ"  ]
then
	if [ -d $INSTDIR/Wingz ]
	then
		WINGZ=$INSTDIR/Wingz export WINGZ
	else
		if [ -d /opt/Wingz ]
		then
			WINGZ=/opt/Wingz
			export WINGZ
		else
			echo "Environmental Variable 'WINGZ' not set."
			exit 1
		fi
	fi
fi


if [ -d $WINGZ ]
then
	if [ -f "$WINGZ/bin/Wingz" ]
	then
		if [ $# -gt 0 ]
		then
			exec $WINGZ/bin/Wingz "${@}"
		else
			exec $WINGZ/bin/Wingz
		fi
	else
		echo "Wingz executable '$WINGZ/bin/Wingz' does not exist."
	fi
else
	echo "'$WINGZ' is not a directory."
	exit 1
fi
